import os
from setuptools import find_packages, setup

with open(os.path.join(os.path.dirname(__file__), 'README.rst')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='django-tradeking',
    version='0.1.1',
    packages=find_packages(),
    include_package_data=True,
    license='MIT',
    description='TradeKing is a Django app based upon the TradeKing API.',
    long_description=README,
    url='https://github.com/ibraheem4/django-tradeking',
    author='Ibraheem Abdul-Malik',
    author_email='ibraheem4@gmail.com',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 2.7',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
    install_requires=['django', 'oauth2',],
)